/*
// Created by Tiny on 3/25/2021.
*/

#ifndef MAIN_C_COLLISION_H
#define MAIN_C_COLLISION_H
#include "map.h"
#include "personnage.h"
#include "prof.h"
#include "DS.h"
#include "GAME.h"




int test_position(Personnage * pers, Prof * prof, DS * exam, MAP * map); // return 0 if nothing, 1 if wall, 2 if exam, 3 if prof, 4 if bounds
int test_bounds_col(Personnage * pers);
int test_prof_col(Personnage * pers, Prof * prof);
int test_map_col(Personnage * pers,  MAP * map, DS * exam);
int test_point_with_prof(int x, int y, Prof *prof);
int test_point_with_map(int x, int y, MAP *map, DS * exam);

int test_position_prof(Prof * prof,MAP * map, DS *exam);
int test_bounds_prof(Prof * prof);
int test_map_col_prof(Prof * prof,  MAP * map, DS *exam);

#endif /*MAIN_C_COLLISION_H*/
